# Delete an order item data extension

Deletes the data extension for an order item, including all the key-value pairs in the data extension.

To delete certain key-value pairs only, use the Delete key-value pairs from a data extension endpoint instead.

Endpoint: DELETE /v2.1/orderItems/{orderItemRef}/extensions/{dataExtensionName}
Version: v2.1
Security: BasicAuth

## Path parameters:

  - `orderItemRef` (string, required)
    The order item reference. This is a unique identifier of the order item. Automatically generated when you created the order item. If you don't know the order item reference, first list order items.
    Example: "2d7de9df-45a2-45ea-872c-30e45139007d"

  - `dataExtensionName` (string, required)
    The data extension name. You must set this to ext.
    Example: "ext"

## Response 404 fields (application/json):

  - `status` (integer)
    The HTTP request status.
    Example: 409

  - `code` (integer)
    The HTTP response status code.
    Example: 409

  - `message` (string)
    Error description.
    Example: "Data extension ext already exists."

  - `developerMessage` (string)
    Error description for developers.
    Example: "409 (Conflict): Data extension ext already exists."

  - `moreInfoUrl` (string)
    URL to get more information about the error.
    Example: "https://support.sitecore.com"


## Response 200 fields
